/*
 * Kerio IP filter
 * Copyright (C) Kerio Technologies s.r.o.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __CFG_H__
#define __CFG_H__

#pragma pack(1)

struct cfg {
	u_int32_t max_buffers;
	u_int32_t max_buffers_in_queue;
	u_int32_t max_packet_size; // including kipf_packet struct
	u_int32_t max_packet_data_size;
	u_int32_t block_traffic_when_api_is_closed;
	u_int32_t start_time;
	u_int32_t log_flags;
	u_int8_t  timeout_expired;
	u_int32_t gso_enabled;
};

#pragma pack()

int32_t
cfg_init(
	void
	);

int32_t
cfg_close(
	void
	);

extern struct cfg g_linipf_cfg;

#endif // __CFG_H__
